#8381: perl modules - remove Encode-JISX0213 and Encode-ISO2022
-------------------------+-----------------------
 Reporter:  ken@…        |       Owner:  ken@…
     Type:  enhancement  |      Status:  assigned
 Priority:  normal       |   Milestone:  7.11
Component:  BOOK         |     Version:  SVN
 Severity:  normal       |  Resolution:
 Keywords:               |
-------------------------+-----------------------

Old description:

> Encode-Locale is used in LWP, the others were added for Biber. Testing on
> an empty system with only the perl-5.24.0 core, using cpan, has shown
> they are not required and all the tests pass without them - also
> Biber-2.6's own tests and my own limited latex tests.
>
> So, remove Encode-EUCJPASCII, Encode-HanExtra, Encode-ISO2022, Encode-
> JIS2K, Encode-JISX0213.
>
> Unfortunately, the extra deps for biber-2.6 will add several times that
> number of new modules.

New description:

 Encode-Locale is used in LWP, the others were added for Biber. Testing on
 an empty system with only the perl-5.24.0 core, using cpan, has shown they
 are not required and all the tests pass without them - also Biber-2.6's
 own tests and my own limited latex tests.

 So, remove Encode-JIS2K and Encode-JISX0213.

 Unfortunately, the extra deps for biber-2.6 will add several times that
 number of new modules.

--

Comment (by Samuel):

 Fixed description is accordance with comment #2

--
Ticket URL: <http://wiki.linuxfromscratch.org/blfs/ticket/8381#comment:4>
BLFS Trac <http://wiki.linuxfromscratch.org/blfs>
Beyond Linux From Scratch
-- 
http://lists.linuxfromscratch.org/listinfo/blfs-book
FAQ: http://www.linuxfromscratch.org/blfs/faq.html
Unsubscribe: See the above information page

Reply via email to